# Uses of Enum Class
javafx.scene.paint.CycleMethod

Packages that use CycleMethod
Package
Description
javafx.scene.paint
Provides the set of classes for colors and gradients used to fill shapes and backgrounds when rendering the scene graph.

## Uses of CycleMethod in javafx.scene.paint

Methods in javafx.scene.paint that return CycleMethod
Modifier and Type
Method
Description
`final CycleMethod`
LinearGradient.`getCycleMethod()`
Defines which of the following cycle method is applied to the `LinearGradient`: `CycleMethod.NO_CYCLE`, `CycleMethod.REFLECT`, or `CycleMethod.REPEAT`.
`final CycleMethod`
RadialGradient.`getCycleMethod()`
Defines the cycle method applied to the `RadialGradient`.
`static CycleMethod`
CycleMethod.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CycleMethod[]`
CycleMethod.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in javafx.scene.paint with parameters of type CycleMethod
Modifier
Constructor
Description
``
`LinearGradient(double startX, double startY, double endX, double endY, boolean proportional, CycleMethod cycleMethod, List<Stop> stops)`
Creates a new instance of LinearGradient.
``
`LinearGradient(double startX, double startY, double endX, double endY, boolean proportional, CycleMethod cycleMethod, Stop... stops)`
Creates a new instance of LinearGradient.
``
`RadialGradient(double focusAngle, double focusDistance, double centerX, double centerY, double radius, boolean proportional, CycleMethod cycleMethod, List<Stop> stops)`
Creates a new instance of RadialGradient.
``
`RadialGradient(double focusAngle, double focusDistance, double centerX, double centerY, double radius, boolean proportional, CycleMethod cycleMethod, Stop... stops)`
Creates a new instance of RadialGradient.